Update Travis.

This commit is contained in:
Markus F.X.J. Oberhumer
2016-10-11 16:34:18 +02:00
parent 83607119df
commit f606b5879b
9 changed files with 47 additions and 9 deletions
+27
View File
@@ -34,6 +34,33 @@ fi # linux
set -x
#
# rebuild UPX stubs (needs upx-stubtools)
#
if [[ $BM_X =~ (^|\+)rebuild-stubs($|\+) ]]; then
bin_upx=$(readlink -en -- "$upx_SRCDIR/../deps/bin-upx-20160918")
cd / && cd $upx_SRCDIR || exit 1
make -C src/stub maintainer-clean
failed=0
PATH="$bin_upx:$PATH" make -C src/stub all || failed=1
if [[ $failed != 0 ]]; then
echo "UPX-ERROR: FATAL: rebuild-stubs failed"
exit 1
fi
if ! git diff --quiet; then
git status || true
git diff || true
echo "UPX-ERROR: FATAL: rebuild-stubs git status mismatch. See log file."
exit 1
fi
if [[ $BM_X == rebuild-stubs ]]; then
echo "X=rebuild-stubs done. Exiting."
exit 0
fi
unset bin_upx failed
fi
#
# build UCL
#
+4 -2
View File
@@ -5,13 +5,15 @@
#set -x # debug
umask 022
export GIT_PAGER=
# rename short variables to more readable Build-Matrix BM_ names
# C is COMPILER
# B is BUILD_OPTIONS
# T is TESTSUITE_OPTIONS
BM_CROSS=$CROSS; BM_C=$C; BM_B=$B; BM_T=$T
unset CROSS C B T
# X is EXTRA_OPTIONS
BM_CROSS=$CROSS; BM_C=$C; BM_B=$B; BM_T=$T; BM_X=$X
unset CROSS C B T X
[[ -z $BM_C ]] && BM_C=gcc
[[ -z $BM_B ]] && BM_B=release